package net.sf.corn.converter.json;

import net.sf.corn.converter.ConversionException;
import net.sf.corn.converter.ObjectReferenceMap;

/**
 * String class to Json an vice versa
 * @author Serhat Dirik
 *
 */
class CnvString extends AbstractJsonConverter {

	CnvString() {
		getConvertibles().add(String.class);
	}
 
	protected JsTypeObject inToTarget(Object o, ObjectReferenceMap referenceMap)
			throws ConversionException {
		return new JsTypeSimple(o);
	}

	protected Object inToJava(Class<?> clazz, JsTypeObject obj)
			throws ConversionException {
		return obj.toStringValue();
	}
	
	@Override
	public boolean isSubjectForCircularReferenceCheck() {
		return false;
	}
}
